org.eclipse.cdt.core.dom.ast

## Interface IMacroBinding

All Superinterfaces:
  IBinding

    public interface IMacroBinding
    extends IBinding

Models bindings for macro names.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getExpansion()` Returns the expansion of this macro definition, or `null` if the definition is not available.
`char[]` `getExpansionImage()` Returns the image of the expansion (also containing comments), or `null` if the definition is not available.
`char[][]` `getParameterList()` Returns the parameter names or `null` if this is not a function style macro.
`char[][]` `getParameterPlaceholderList()` Returns the parameter list where the name of the last parameter is changed if this is a variadic macro, or `null` if this is not a function style macro.
`boolean` `isDynamic()` Returns `true` if this is a dynamic macro.
`boolean` `isFunctionStyle()` Returns `true` if this is a function-style macro.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### isFunctionStyle

    boolean isFunctionStyle()

Returns `true` if this is a function-style macro.

Since:
  5.0

#### isDynamic

    boolean isDynamic()

Returns `true` if this is a dynamic macro.

Since:
  5.0

#### getParameterList

    char[][] getParameterList()

Returns the parameter names or `null` if this is not a function style macro.

#### getExpansion

    char[] getExpansion()

Returns the expansion of this macro definition, or `null` if the definition is not available. For dynamic macros an exemplary image is returned.

Since:
  5.0

#### getParameterPlaceholderList

    char[][] getParameterPlaceholderList()

Returns the parameter list where the name of the last parameter is changed if this is a variadic macro, or `null` if this is not a function style macro. The parameter '...' will be changed to '__VA_ARGS__' Parameters like 'a...' will be changed to 'a'.

Since:
  5.0

#### getExpansionImage

    char[] getExpansionImage()

Returns the image of the expansion (also containing comments), or `null` if the definition is not available. For dynamic macros an exemplary image is returned.

Since:
  5.0